> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bundle Options

> Retrieves a paginated list of options for a bundle, including each option's default product.



## OpenAPI

````yaml swagger.json get /bundles/{bundleId}/options
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles/{bundleId}/options:
    get:
      tags:
        - Bundle Options
      summary: List Bundle Options
      description: >-
        Retrieves a paginated list of options for a bundle, including each
        option's default product.
      parameters:
        - name: bundleId
          in: path
          required: true
          schema:
            type: string
        - name: startKey
          in: query
          required: false
          schema:
            type: string
          description: Cursor for pagination
        - name: limit
          in: query
          required: false
          schema:
            type: string
            default: '500'
      responses:
        '200':
          description: Successfully retrieved bundle options
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBundleOptionsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListBundleOptionsResponse:
      type: object
      properties:
        options:
          type: array
          items:
            $ref: '#/components/schemas/BundleOptionWithDefaultProduct'
        nextKey:
          type: string
          nullable: true
      required:
        - options
    BundleOptionWithDefaultProduct:
      allOf:
        - $ref: '#/components/schemas/BundleOption'
        - type: object
          properties:
            defaultProduct:
              oneOf:
                - $ref: '#/components/schemas/BundleOptionProduct'
              nullable: true
    BundleOption:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        bundleId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        priceBookId:
          type: string
        displayOrder:
          type: number
        configuration:
          $ref: '#/components/schemas/BundleOptionConfiguration'
      required:
        - id
        - accountId
        - bundleId
        - name
        - priceBookId
        - displayOrder
        - configuration
    BundleOptionProduct:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        bundleId:
          type: string
        optionId:
          type: string
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
        configuration:
          $ref: '#/components/schemas/BundleProductConfiguration'
        displayOrder:
          type: number
      required:
        - id
        - accountId
        - bundleId
        - optionId
        - productId
        - properties
        - displayOrder
    BundleOptionConfiguration:
      type: object
      properties:
        minCount:
          type: number
          nullable: true
        maxCount:
          type: number
          nullable: true
        defaultOptionProductId:
          type: string
          nullable: true
    BundleProductConfiguration:
      type: object
      properties:
        minQuantity:
          type: number
        maxQuantity:
          type: number
        readonlyQuantity:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````